/**
 * OW2 Specifications
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: BindingProvider.java 5417 2010-03-24 09:04:14Z benoitf $
 * --------------------------------------------------------------------------
 */

package javax.xml.ws;

/**
 * Created by IntelliJ IDEA.
 * User: Guillaume
 * Date: 17 juil. 2008
 * Time: 21:53:56
 * To change this template use File | Settings | File Templates.
 */
public interface BindingProvider {
    static final String USERNAME_PROPERTY = "javax.xml.ws.security.auth.username";
    static final String PASSWORD_PROPERTY = "javax.xml.ws.security.auth.password";
    static final String ENDPOINT_ADDRESS_PROPERTY = "javax.xml.ws.service.endpoint.address";
    static final String SESSION_MAINTAIN_PROPERTY = "javax.xml.ws.session.maintain";
    static final String SOAPACTION_USE_PROPERTY = "javax.xml.ws.soap.http.soapaction.use";
    static final String SOAPACTION_URI_PROPERTY = "javax.xml.ws.soap.http.soapaction.uri";

    java.util.Map<java.lang.String,java.lang.Object> getRequestContext();
    java.util.Map<java.lang.String,java.lang.Object> getResponseContext();
    Binding getBinding();
    EndpointReference getEndpointReference();
    <T extends EndpointReference> T getEndpointReference(java.lang.Class<T> clazz);
}
