/**
 * OW2 Specifications
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AddressingFeature.java 5417 2010-03-24 09:04:14Z benoitf $
 * --------------------------------------------------------------------------
 */

package javax.xml.ws.soap;

import javax.xml.ws.WebServiceFeature;

/**
 * Created by IntelliJ IDEA.
 * User: Guillaume
 * Date: 10 dc. 2008
 * Time: 19:41:15
 * To change this template use File | Settings | File Templates.
 */
public final class AddressingFeature extends WebServiceFeature {

    public static final String ID = "http://www.w3.org/2005/08/addressing/module";
    protected boolean required;

    public AddressingFeature() {
        this.enabled = true;
    }

    public AddressingFeature(boolean enabled) {
        this.enabled = enabled;
    }

    public AddressingFeature(boolean enabled,
                         boolean required) {
        this.enabled = enabled;
        this.required = required;
    }

    public String getID() {
        return ID;
    }

    public boolean isRequired() {
        return required;
    }
}
